Subject: Re: [PATCH] selftests/vm: fix: make check_config.sh executable

From: John Hubbard <[email-masked]>
Date: Fri, 2 Oct 2020 00:35:54 -0700

On 10/1/20 11:48 PM, John Hubbard wrote:
> commit 30fb9454ab23 ("selftests/vm: hmm-tests: remove the libhugetlbfs
> dependency") created the new check_config.sh file without the execute
> bits set. This is a problem because the Makefile runs it with "./", so
> now "make" is failing in that directory.
> 
> The posted patch [1] does seem to have it as an executable file, so I'm
> not sure how this happened. But in any case, make check_config.sh
> executable again, so that "make" in selftests/vm works once again.
> 
> [1] https://lore.kernel.org/linux-doc/[email-masked]/
> 
> Fixes: commit 30fb9454ab23 ("selftests/vm: hmm-tests: remove the libhugetlbfs dependency")
> Signed-off-by: John Hubbard <[email-masked]>
> ---
> 
> Hi,
> 
> This applies to today's 20201001) linux-next. I forgot if this needs to
> be a separate patch or if it can be fixed up in Andrew's tree.
> 

hmm, in fact I think something similar also happened to run_vmtest.sh, in the same
directory. Please let me know if a patch is needed there, or if you can just fix
up this one or the tree or something?

> thanks,
> John Hubbard
> NVIDIA
> 
> 
>   tools/testing/selftests/vm/check_config.sh | 0
>   1 file changed, 0 insertions(+), 0 deletions(-)
>   mode change 100644 => 100755 tools/testing/selftests/vm/check_config.sh
> 
> diff --git a/tools/testing/selftests/vm/check_config.sh b/tools/testing/selftests/vm/check_config.sh
> old mode 100644
> new mode 100755
> 

thanks,
-- 
John Hubbard
NVIDIA